Subject: Re: mips64 linux glibc compilation broken?

From: Ralf Baechle <[email-masked]>
Date: Fri, 4 May 2001 21:33:45 -0300

On Mon, Apr 30, 2001 at 11:07:33AM -0700, Justin Carlson wrote:

> I could swear I saw this topic go by before, but searching my archives,
> I don't see it.
> 
> glibc fresh out of redhat cvs doesn't compile for mips64-linux; it fails
> with quite a bit of stuff like this:
> 
> ---
> In file included from dynamic-link.h:21,
> from dl-load.c:32:
> ../sysdeps/mips/mips64/dl-machine.h: In function `elf_machine_got_rel':
> ../sysdeps/mips/mips64/dl-machine.h:178: warning: passing arg 2 of `_dl_lookup_symbol' from incompatible pointer type
> ../sysdeps/mips/mips64/dl-machine.h:178: warning: passing arg 3 of `_dl_lookup_symbol' from incompatible pointer type
> ../sysdeps/mips/mips64/dl-machine.h:178: warning: passing arg 4 of `_dl_lookup_symbol' from incompatible pointer type
> ../sysdeps/mips/mips64/dl-machine.h:178: too few arguments to function `_dl_lookup_symbol'
> ../sysdeps/mips/mips64/dl-machine.h:181: warning: passing arg 2 of `_dl_lookup_symbol' from incompatible pointer type
> ../sysdeps/mips/mips64/dl-machine.h:181: warning: passing arg 3 of `_dl_lookup_symbol' from incompatible pointer type
> ../sysdeps/mips/mips64/dl-machine.h:181: warning: passing arg 4 of `_dl_lookup_symbol' from incompatible pointer type
> ---
> 
> It looks like this is something that has been fixed for mips, but not mips64. 
> I'm sure I can fix the immediate compile problems, but am not familiar enough
> with glibc to be confident of doing the Right Thing overall.
> 
> Are there any patches for mips64 linux that haven't made it into the mainline
> cvs yet?

I already answered this before in private email - mips64 is not support
in glibc nor was it ever working properly.  And won't until somebody fixed
the assembler and ld first ...

All software mips64 systems are currently running is 32-bit stuff running
in the binary compatibility mode.

  Ralf